#####################################
### someone's ansible provisioner ###
#####################################
# Part of: https://git.somenet.org/root/pub/somesible.git
# 2017-2025 by someone <someone@somenet.org>
#
---
dependencies:
# configure systemd.
  - { role: base/systemd, tags: ['systemd'] }

# configure package manager + update pkg-cache + upgrade packages.
  - { role: base/apt, tags: ['apt'] }

# configure ansible.
  - { role: base/ansible, tags: ['ansible'] }



# configure grub defaults.
  - { role: base/grub, tags: ['grub'] }

# install btrfs-helpers.
  - { role: base/btrfs-helpers, tags: ['btrfshelpers'] }

# setup fulldisk-initrd-encryption helpers
  - { role: base/cryptsetup-helper, tags: ['cryptsetuphelper'] }

# configure hostname.
  - { role: base/hostname, tags: ['hostname'] }

# configure system settings.
  - { role: base/sysctl, tags: ['sysctl'] }

# install + configure logrotate.
  - { role: base/logrotate, tags: ['logrotate'] }

# install + configure backups.
  - { role: base/backup, tags: ['backup'] }



# setup networking and firewall.
  - { role: base/network, tags: ['network'] }

# install + configure wireguard interface(s).
  - { role: base/wireguard, tags: ['wireguard'] }

# install + configure sshd.
  - { role: base/ssh, tags: ['ssh'] }

# install + configure ntpd server config.
  - { role: base/ntp, tags: ['ntp'] }

# install + configure munin-node with munin-async proxy.
  - { role: base/munin-node, tags: ['munin-node'] }

# install + configure tor node with hidden sshd service.
  - { role: base/tor, tags: ['tor'] }



# create/update users.
  - { role: base/create-users, tags: ['createusers'] }
